Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute.standard
Class Chromaticity

    java.lang.Object
      |
      +--javax.print.attribute.EnumSyntax
            |
            +--javax.print.attribute.standard.Chromaticity

All Implemented Interfaces:
  Attribute, Cloneable, DocAttribute, PrintJobAttribute, PrintRequestAttribute, Serializable

public final class Chromaticity
extends EnumSyntax
implements DocAttribute, PrintRequestAttribute, PrintJobAttribute

Class Chromaticity is a printing attribute class, an enumeration, that specifies monochrome or color printing. This is used by a print client to specify how the print data should be generated or processed. It is not descriptive of the color capabilities of the device. Query the service's `ColorSupported` attribute to determine if the device can be verified to support color printing.

The table below shows the effects of specifying a Chromaticity attribute of ``MONOCHROME`` or ``COLOR`` for a monochrome or color document.

Chromaticity Attribute | Effect on Monochrome Document | Effect on Color Document
--- | --- | ---
``MONOCHROME`` | Printed as is, in monochrome | Printed in monochrome, with colors converted to shades of gray
``COLOR`` | Printed as is, in monochrome | Printed as is, in color

IPP Compatibility: Chromaticity is not an IPP attribute at present.

See Also:
  Serialized Form

Field Summary
`static Chromaticity` | `COLOR` Color printing.
`static Chromaticity` | `MONOCHROME` Monochrome printing.

Constructor Summary
`protected` | `Chromaticity(int value)` Construct a new chromaticity enumeration value with the given integer value.

Method Summary
`Class` | `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`protected EnumSyntax[]` | `getEnumValueTable()` Returns the enumeration value table for class Chromaticity.
`String` | `getName()` Get the name of the category of which this attribute value is an instance.
`protected String[]` | `getStringTable()` Returns the string table for class Chromaticity.

Methods inherited from class javax.print.attribute.EnumSyntax
`clone, getOffset, getValue, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MONOCHROME

    public static final Chromaticity MONOCHROME

  Monochrome printing.

### COLOR

    public static final Chromaticity COLOR

  Color printing.

Constructor Detail

### Chromaticity

    protected Chromaticity(int value)

  Construct a new chromaticity enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getStringTable

    protected String[] getStringTable()

  Returns the string table for class Chromaticity.

  Overrides:
    `getStringTable` in class `EnumSyntax`
  Returns:
    the string table

### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

  Returns the enumeration value table for class Chromaticity.

  Overrides:
    `getEnumValueTable` in class `EnumSyntax`
  Returns:
    the value table

### getCategory

    public final Class getCategory()

  Get the printing attribute class which is to be used as the "category" for this printing attribute value.

  For class Chromaticity, the category is the class Chromaticity itself.

  Specified by:
    `getCategory` in interface `Attribute`
  Returns:
    Printing attribute class (category), an instance of class `java.lang.Class`.

### getName

    public final String getName()

  Get the name of the category of which this attribute value is an instance.

  For class Chromaticity, the category name is `"chromaticity"`.

  Specified by:
    `getName` in interface `Attribute`
  Returns:
    Attribute category name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.